# pciutils

The PCI Utilities package contains a library for portable access to PCI bus configuration space and several utilities based on this library.
Current version works only on Linux and FreeBSD, but it can be easily extended to work on other systems as well.
The utilities include: (See manual pages for more details) :
lspci - displays detailed information about all PCI busses and devices in the system, replacing the original /proc/pci interface.
setpci - allows to read from and write to PCI device configuration registers. For example, you can adjust the latency timers with it.
The library (and therefore all the utilities) - can access PCI registers either via the /proc/bus/pci interface present since Linux 2.1.82 or via direct hardware access (to be used with older kernels and also for hardware diagnostics).
It's also capable of reading and interpreting register dumps printed by `lspci -x'.

